Bug 1850862 - libvirt: Make master disk size configurable
Summary: libvirt: Make master disk size configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.6.0
Assignee: Abhinav Dahiya
QA Contact: Praveen Kumar
URL:
Whiteboard:
Depends On:
Blocks: 1850672
TreeView+ depends on / blocked
 
Reported: 2020-06-25 04:46 UTC by Praveen Kumar
Modified: 2020-10-27 16:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1850672
Environment:
Last Closed: 2020-10-27 16:09:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:10:26 UTC

Description Praveen Kumar 2020-06-25 04:46:03 UTC
+++ This bug was initially created as a clone of Bug #1850672 +++

A user should able to specify the volume size of master node by configuring the machineset like they can do it for other cloud providers. Also this will be really useful for crc usecase where disk size needs to be expand after installation.


```
$ openshift-install create manifests --dir mydir
$ yq write --inplace mydir/openshift/99_openshift-cluster-api_master-machines-0.yaml spec.providerSpec.value.volume[volumeSize] 32212254720
$ openshift-install create cluster --dir mydir
```

Comment 4 Praveen Kumar 2020-06-30 11:01:56 UTC
This is verified and working as expected.

Comment 6 errata-xmlrpc 2020-10-27 16:09:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.